from infi.shell.environment import variables

variables.add("AUTH",
              help="Colon-separated username and password, e.g user:pass")
variables.add("HOSTNAME",
              help="Hostname of default target system")
variables.add("NO_CONNECTION_CHECK", flag=True,
              help="DEPRECATED")
variables.add("X_FORWARDED_FOR", internal=True,
              help="Add HTTP header X-Forwarded-For with the specified value")
variables.add("NO_AUTH", flag=True, internal=True,
              help="Assume system does not require authentication")
variables.add("NO_SSL", flag=True, internal=True,
              help="Forcefully disable SSL")

variables.add("DEBUG", flag=True, internal=True,
              help="General debugging features")
variables.add("PROFILER", flag=True, internal=True,
              help="General profiling features")
variables.add("EMULATE_LOGIN", internal=True,
              help="Skip login request and emulate a development user")
variables.add("EMULATE_SYSTEM_VERSION", internal=True,
              help="Skip version request and emulate system version")
